R4i SDHC 3DS Not updating to support 4.2.0-9U

Discussion in '3DS - Flashcards & Custom Firmwares' started by chavosaur, Aug 9, 2012.

  1. chavosaur
    OP

    chavosaur Austin Trujillo

    pip Contributor
    4,789
    8,652
    Mar 11, 2012
    United States
    Huntersville, NC
    Alright, So I haven't updated my 3ds at all, to make sure my cart is compatible. I dug around and found my r4i sdhc 3ds card

    Now, I downloaded the latest kernel from the official website, which is 1.59b.
    I then grabbed my dslite, to try to update the card.
    I went on config, hit upgrade, and it shows no option to upgrade at all.
    It currently only displays
    Support Model:NDSL, NDSI 1.44, 3DS 3.0
    Ive tried formatting and reloading the kernel, but no dice. It only displays that i can play on 3ds 3.0, and theres no upgrade option.
    Help meh please!
     
  2. Rydian

    Rydian Resident Furvertâ„¢

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Which website? Not all carts are actually updated for the latest 3DS firmware.
     
  3. chavosaur
    OP

    chavosaur Austin Trujillo

    pip Contributor
    4,789
    8,652
    Mar 11, 2012
    United States
    Huntersville, NC
    R4i-sdhc.com
    I also watched a youtube video of someone updating the exact cart I have to work on 4.2 so i dont understand whats wrong...
     
  4. Rydian

    Rydian Resident Furvertâ„¢

    Member
    27,883
    8,108
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Sure you got the download for the right cart? There's a few listed on the site, and sticker differences can indicate a different model they produced.

    Also the latest 3DS software is 4.3, so if you update online you'll take the 3DS to 4.3, which will block the cart.
     
  5. chavosaur
    OP

    chavosaur Austin Trujillo

    pip Contributor
    4,789
    8,652
    Mar 11, 2012
    United States
    Huntersville, NC
    Yep i downloaded the correct version, unzipped it, formatted my sd, moved over the moonshell and everything, went to config, hit upgrade and boom. Still displays the support model with no option to upgrade to support 3ds 4.2.
    edit: i can currently use an acekard on my 3ds, as I have not updated the 3ds to 4.3
    However i need the r4 to work on my 3ds as it is my only option of playing pokemon games right now.
     
  6. tranfeer

    tranfeer GBAtemp Advanced Fan

    Member
    775
    41
    May 23, 2010
    Australia
    Do not update your 3DS now. R4i-SDHC 3DS(r4i-sdhc.com)can not support 3DS4.3.0-10 till now.
     
  7. chavosaur
    OP

    chavosaur Austin Trujillo

    pip Contributor
    4,789
    8,652
    Mar 11, 2012
    United States
    Huntersville, NC
    Yes i know I havent updated my 3ds to 4.3 it is still on 4.2
     
  8. Lomeli12

    Lomeli12 Member

    Newcomer
    36
    2
    Oct 27, 2010
    United States
    California
    The flash.r4i file that does the updates for the R4i-SDHC 3DS is messed up. They released the patch for it quite a while ago. http://www.games-engine.com/flash.rar
    Replace the flash.r4i with this one and try to update like normal.
     
  9. chavosaur
    OP

    chavosaur Austin Trujillo

    pip Contributor
    4,789
    8,652
    Mar 11, 2012
    United States
    Huntersville, NC
    It worked! Thanks so much, your a lifesaver, I'll finally be able to play my pokemon white :D I'll be sure to pass this along to some friends of mine with the same problem.